Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597622 - WARNING: at mm/highmem.c:444 debug_kmap_atomic
Summary: WARNING: at mm/highmem.c:444 debug_kmap_atomic
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 20:30 UTC by Steven A. Falco
Modified: 2011-06-28 14:48 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 17:01:53 UTC


Attachments (Terms of Use)
/var/log/messages (deleted)
2010-05-29 20:30 UTC, Steven A. Falco
no flags Details
i915-increase-fb-alignment-to-64k.patch (deleted)
2011-02-17 02:07 UTC, Roman
no flags Details | Diff

Description Steven A. Falco 2010-05-29 20:30:04 UTC
Created attachment 417919 [details]
/var/log/messages

Description of problem: Boot F13 Live CD on an ASUS Eee PC 900, get a number of warnings from debug_kmap_atomic:

May 29 18:35:42 localhost kernel: ------------[ cut here ]------------
May 29 18:35:42 localhost kernel: WARNING: at mm/highmem.c:444 debug_kmap_atomic+0xad/0x12a()
May 29 18:35:42 localhost kernel: Hardware name: 900
May 29 18:35:42 localhost kernel: Modules linked in: usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output
May 29 18:35:42 localhost kernel: Pid: 0, comm: swapper Not tainted 2.6.33.3-85.fc13.i686 #1
May 29 18:35:42 localhost kernel: Call Trace:
May 29 18:35:42 localhost kernel: [<c0436df9>] warn_slowpath_common+0x65/0x7c
May 29 18:35:42 localhost kernel: [<c04aa62d>] ? debug_kmap_atomic+0xad/0x12a
May 29 18:35:42 localhost kernel: [<c0436e1d>] warn_slowpath_null+0xd/0x10
May 29 18:35:42 localhost kernel: [<c04aa62d>] debug_kmap_atomic+0xad/0x12a
May 29 18:35:42 localhost kernel: [<c04240a0>] kmap_atomic_prot+0x51/0xd2
May 29 18:35:42 localhost kernel: [<f7e02f4d>] ? i915_error_object_create+0x5d/0xfa [i915]
May 29 18:35:42 localhost kernel: [<c042412f>] kmap_atomic+0xe/0x10
May 29 18:35:42 localhost kernel: [<f7e02f8f>] i915_error_object_create+0x9f/0xfa [i915]
May 29 18:35:42 localhost kernel: [<f7e0331a>] i915_handle_error+0x330/0x813 [i915]
May 29 18:35:42 localhost kernel: [<f7e039a3>] i915_driver_irq_handler+0xc7/0x2f4 [i915]
May 29 18:35:42 localhost kernel: [<c0478f64>] handle_IRQ_event+0x52/0xf8
May 29 18:35:42 localhost kernel: [<c047a7af>] handle_fasteoi_irq+0x71/0xa4
May 29 18:35:42 localhost kernel: [<c0404cd3>] handle_irq+0x3b/0x48
May 29 18:35:42 localhost kernel: [<c0404558>] do_IRQ+0x41/0x9a
May 29 18:35:42 localhost kernel: [<c0403830>] common_interrupt+0x30/0x38
May 29 18:35:42 localhost kernel: [<c045007b>] ? update_target+0x38/0xc0
May 29 18:35:42 localhost kernel: [<c05f52f0>] ? acpi_idle_enter_simple+0x10a/0x13d
May 29 18:35:42 localhost kernel: [<c05f5026>] acpi_idle_enter_bm+0xc2/0x282
May 29 18:35:42 localhost kernel: [<c06c6c22>] cpuidle_idle_call+0x6d/0xbf
May 29 18:35:42 localhost kernel: [<c04024b8>] cpu_idle+0x91/0xad
May 29 18:35:42 localhost kernel: [<c075e2ea>] rest_init+0x62/0x64
May 29 18:35:42 localhost kernel: [<c09b78f1>] start_kernel+0x346/0x34b
May 29 18:35:42 localhost kernel: [<c09b7099>] i386_start_kernel+0x99/0xa0
May 29 18:35:42 localhost kernel: ---[ end trace 65d50af1202b989d ]---

I also see some messages about "page table error" and "EIR stuck" - not sure if they are related:

May 29 18:35:42 localhost kernel: render error detected, EIR: 0x00000010
May 29 18:35:42 localhost kernel: page table error
May 29 18:35:42 localhost kernel:  PGTBL_ER: 0x00000010
May 29 18:35:42 localhost kernel: [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
May 29 18:35:42 localhost kernel: render error detected, EIR: 0x00000010
May 29 18:35:42 localhost kernel: page table error
May 29 18:35:42 localhost kernel:  PGTBL_ER: 0x00000010



Version-Release number of selected component (if applicable):
Linux version 2.6.33.3-85.fc13.i686



How reproducible: 100%


Steps to Reproduce:
1.Boot with F13 Live cd
2.
3.
  
Actual results: warnings as described above


Expected results: F11 runs on this netbook without errors - so should F13.


Additional info: I'll attach the /var/log/messages

Comment 1 Bojan Smojver 2010-06-01 07:36:59 UTC
Seeing the same on this hardware:

http://www.smolts.org/client/show/pub_f3111850-14aa-46a8-b92e-45ba52046c32

Comment 2 Michal Schmidt 2010-06-01 12:31:02 UTC
It is fixed upstream by:

commit 788885ae7a298dec73ba999c2fc5d46d42072ddf
Author: Andrew Morton <akpm@linux-foundation.org>
Date:   Tue May 11 14:07:05 2010 -0700

    drivers/gpu/drm/i915/i915_irq.c:i915_error_object_create(): use correct kmap-atomic slot
    
    i915_error_object_create() is called from the timer interrupt and hence
    can corrupt the KM_USER0 slot.  Use KM_IRQ0 instead.

Comment 3 Bojan Smojver 2010-06-01 13:25:51 UTC
Keeping my eyes peeled for the koji build :-)

Comment 4 Orion Poplawski 2010-07-20 15:36:51 UTC
Any ETA on this fix?

Comment 5 Tom Hughes 2010-07-20 15:44:36 UTC
Does kernel-2.6.33.6-147.fc13 not fix it for you? I don't think I've seen it on my Eee since going to that.

Comment 6 Orion Poplawski 2010-07-20 15:57:52 UTC
Nope:

WARNING: at mm/highmem.c:444 debug_kmap_atomic+0xad/0x12a()
Hardware name: LifeBook S6240
Modules linked in: fuse nfs lockd fscache nfs_acl auth_rpcgss autofs4 sunrpc ipv6 cpufreq_ondemand acpi_cpufreq uinput snd_hda_codec_si3054 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq ipw2200 snd_seq_device snd_pcm libipw sdhci_pci snd_timer ppdev iTCO_wdt snd cfg80211 parport_pc iTCO_vendor_support sdhci parport irda soundcore tg3 snd_page_alloc mmc_core rfkill i2c_i801 lib80211 fujitsu_laptop crc_ccitt serio_raw input_polldev joydev microcode firewire_ohci yenta_socket firewire_core crc_itu_t rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Pid: 2186, comm: kwin Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Call Trace:
 [<c043d69d>] warn_slowpath_common+0x65/0x7c
 [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
 [<c043d6c1>] warn_slowpath_null+0xd/0x10
 [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
 [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
 [<c042a9df>] kmap_atomic+0x14/0x16
 [<f801c083>] i915_error_object_create+0x9f/0xfa [i915]
 [<f801c40e>] i915_handle_error+0x330/0x813 [i915]
 [<f801ca97>] i915_driver_irq_handler+0xc7/0x2f4 [i915]
 [<c047fb8c>] handle_IRQ_event+0x52/0xf8
 [<c04813d7>] handle_fasteoi_irq+0x71/0xa4
 [<c040a37b>] handle_irq+0x3b/0x48
 [<c0409c00>] do_IRQ+0x41/0x9a
 [<c0408e30>] common_interrupt+0x30/0x38

render error detected, EIR: 0x00000010
page table error
  PGTBL_ER: 0x00000010
[drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
render error detected, EIR: 0x00000010
page table error
  PGTBL_ER: 0x00000010

00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)

Comment 7 Chuck Ebbert 2010-07-21 12:27:03 UTC
Does the 2.6.34.1 kernel build for F-13 fix it?

Comment 8 Deependra Singh Shekhawat 2010-07-31 17:45:24 UTC
kernel-2.6.33.6-147.fc13 has the problem:

Jul 31 21:06:25 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Not tainted 2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c04c9162>] ? __kmalloc+0x103/0x10f
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e3f2>] i915_handle_error+0x314/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1023 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e3f2>] i915_handle_error+0x314/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1024 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c04c86aa>] ? kmem_cache_alloc_notrace+0x6f/0xa2
Jul 31 21:06:25 localhost kernel: [<f801e041>] ? i915_error_object_create+0x5d/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e3f2>] i915_handle_error+0x314/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1025 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e3f2>] i915_handle_error+0x314/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1026 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c04c9162>] ? __kmalloc+0x103/0x10f
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1027 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1028 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a1029 ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c04c86aa>] ? kmem_cache_alloc_notrace+0x6f/0xa2
Jul 31 21:06:25 localhost kernel: [<f801e041>] ? i915_error_object_create+0x5d/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a102a ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c04c86aa>] ? kmem_cache_alloc_notrace+0x6f/0xa2
Jul 31 21:06:25 localhost kernel: [<f801e041>] ? i915_error_object_create+0x5d/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a102b ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a102c ]---
Jul 31 21:06:25 localhost kernel: ------------[ cut here ]------------
Jul 31 21:06:25 localhost kernel: WARNING: at mm/highmem.c:453 debug_kmap_atomic+0xad/0x12a()
Jul 31 21:06:25 localhost kernel: Hardware name: 07684KA
Jul 31 21:06:25 localhost kernel: Modules linked in: vfat fat fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc ipv6 cpufreq_ondemand acpi_cpufreq kvm_intel kvm uinput snd_hda_codec_analog arc4 ecb snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwl3945 iwlcore snd_pcm iTCO_wdt iTCO_vendor_support 8139too gspca_sn9c20x sdhci_pci gspca_main sdhci 8139cp mac80211 mmc_core videodev btusb v4l1_compat snd_timer mii bluetooth cfg80211 snd soundcore i2c_i801 snd_page_alloc rfkill joydev serio_raw microcode firewire_ohci yenta_socket rsrc_nonstatic firewire_core crc_itu_t usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Jul 31 21:06:25 localhost kernel: Pid: 0, comm: swapper Tainted: G        W  2.6.33.6-147.fc13.i686.PAE #1
Jul 31 21:06:25 localhost kernel: Call Trace:
Jul 31 21:06:25 localhost kernel: [<c043d69d>] warn_slowpath_common+0x65/0x7c
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] ? debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c043d6c1>] warn_slowpath_null+0xd/0x10
Jul 31 21:06:25 localhost kernel: [<c04b12e1>] debug_kmap_atomic+0xad/0x12a
Jul 31 21:06:25 localhost kernel: [<c042a91b>] kmap_atomic_prot+0x5c/0x10c
Jul 31 21:06:25 localhost kernel: [<c042a9df>] kmap_atomic+0x14/0x16
Jul 31 21:06:25 localhost kernel: [<f801e083>] i915_error_object_create+0x9f/0xfa [i915]
Jul 31 21:06:25 localhost kernel: [<f801e40e>] i915_handle_error+0x330/0x813 [i915]
Jul 31 21:06:25 localhost kernel: [<f801e990>] i915_hangcheck_elapsed+0x9f/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0448749>] run_timer_softirq+0x163/0x1e6
Jul 31 21:06:25 localhost kernel: [<f801e8f1>] ? i915_hangcheck_elapsed+0x0/0xdf [i915]
Jul 31 21:06:25 localhost kernel: [<c0442a79>] __do_softirq+0xac/0x152
Jul 31 21:06:25 localhost kernel: [<c0442b50>] do_softirq+0x31/0x3c
Jul 31 21:06:25 localhost kernel: [<c0442c64>] irq_exit+0x29/0x5c
Jul 31 21:06:25 localhost kernel: [<c041d6d7>] smp_apic_timer_interrupt+0x6f/0x7d
Jul 31 21:06:25 localhost kernel: [<c078358d>] apic_timer_interrupt+0x31/0x38
Jul 31 21:06:25 localhost kernel: [<c045007b>] ? __cancel_work_timer+0x12a/0x15d
Jul 31 21:06:25 localhost kernel: [<c05ffe10>] ? acpi_idle_enter_simple+0x10a/0x13d
Jul 31 21:06:25 localhost kernel: [<c06d886b>] cpuidle_idle_call+0x6e/0xc3
Jul 31 21:06:25 localhost kernel: [<c0407ab8>] cpu_idle+0x91/0xad
Jul 31 21:06:25 localhost kernel: [<c077e7a7>] start_secondary+0x1f5/0x233
Jul 31 21:06:25 localhost kernel: ---[ end trace 6a9185267e8a102d ]---
Jul 31 21:06:25 localhost kernel: render error detected, EIR: 0x00000000
Jul 31 21:06:25 localhost kernel: [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 298828 at 298827)
Jul 31 21:06:26 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Jul 31 21:06:26 localhost kernel: render error detected, EIR: 0x00000000

Comment 9 Glen Fullmer 2010-08-07 16:11:35 UTC
My machine has the same problem:

http://www.smolts.org/client/show/pub_59fbd9ff-ff58-43db-be16-147ced3c38b8

Comment 10 Chuck Ebbert 2010-08-09 05:08:13 UTC
2.6.34.1 is in updates-testing. Please try that and stop reporting problems with 2.6.33. :)

Comment 11 Eddie Lania 2010-08-16 22:15:18 UTC
I tried:

uname -a
Linux hestia.lania-intra.net 2.6.34.3-37.fc13.i686.PAE #1 SMP Tue Aug 10 21:19:25 UTC 2010 i686 i686 i386 GNU/Linux

kernel-PAE-2.6.33.6-147.fc13.i686
kernel-PAE-2.6.33.6-147.2.4.fc13.i686
kernel-PAE-2.6.34.3-37.fc13.i686


Aug 17 00:11:31 hestia kernel: render error detected, EIR: 0x00000010
Aug 17 00:11:31 hestia kernel: [drm:i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010, masking
Aug 17 00:11:31 hestia kernel: render error detected, EIR: 0x00000010

Sorry, seems there still is something wrong.

Comment 12 Alfredo Moralejo 2010-12-01 14:35:00 UTC
I'm finding exactly the same problem in RHEL6:

------------[ cut here ]------------
WARNING: at mm/highmem.c:444 debug_kmap_atomic+0x137/0x1b0() (Tainted: G        W  ---------------- )
Hardware name: POWERMATE VL4
Modules linked in: autofs4 sunrpc ipv6 ipt_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack iptable_filter ip_tables ext3 jbd dm_mirror dm_region_hash dm_log ppdev parport_pc parport e100 mii sg serio_raw snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_i801 iTCO_wdt iTCO_vendor_support ext4 mbcache jbd2 sd_mod crc_t10dif sr_mod cdrom pata_acpi ata_generic ata_piix i915 drm_kms_helper drm i2c_algo_bit i2c_core video output dm_mod [last unloaded: scsi_wait_scan]
Pid: 1412, comm: gdm-simple-slav Tainted: G        W  ----------------  2.6.32-71.7.1.el6.i686 #1
Call Trace:
 [<c0450201>] ? warn_slowpath_common+0x81/0xc0
 [<c04f4217>] ? debug_kmap_atomic+0x137/0x1b0
 [<c04f4217>] ? debug_kmap_atomic+0x137/0x1b0
 [<c045025b>] ? warn_slowpath_null+0x1b/0x20
 [<c04f4217>] ? debug_kmap_atomic+0x137/0x1b0
 [<c0436bda>] ? kmap_atomic_prot+0x8a/0x150
 [<c0436cbc>] ? kmap_atomic+0x1c/0x30
 [<f801305b>] ? i915_error_object_create+0xfb/0x1e0 [i915]
 [<c040f828>] ? sched_clock+0x8/0x10
 [<f8013967>] ? i915_handle_error+0x827/0xa80 [i915]
 [<c04385d7>] ? sched_slice+0x57/0xb0
 [<f8013ef5>] ? i915_driver_irq_handler+0x205/0x400 [i915]
 [<c04ad595>] ? handle_IRQ_event+0x45/0x140
 [<c0457235>] ? __do_softirq+0xb5/0x1b0
 [<c04af69f>] ? handle_fasteoi_irq+0x5f/0xd0
 [<c040c192>] ? handle_irq+0x32/0x60
 [<c040b7c7>] ? do_IRQ+0x47/0xc0
 [<c0457495>] ? irq_exit+0x35/0x70
 [<c0425ae4>] ? smp_apic_timer_interrupt+0x54/0x90
 [<c040a0f0>] ? common_interrupt+0x30/0x38
 [<c04500d8>] ? print_tainted+0x8/0xb0
 [<c04200e0>] ? speedstep_cpu_init+0x60/0xf0
 [<c05a6783>] ? avtab_search_node+0x83/0xb0
 [<c05ae9a5>] ? cond_compute_av+0x25/0xc0
 [<c05ace01>] ? context_struct_compute_av+0x1c1/0x3c0
 [<c05ad1f2>] ? security_compute_av+0xd2/0x290
 [<c0599183>] ? avc_has_perm_noaudit+0x133/0x3d0
 [<c0599484>] ? avc_has_perm+0x64/0x80
 [<c059945e>] ? avc_has_perm+0x3e/0x80
 [<c059a492>] ? selinux_socket_unix_stream_connect+0x72/0xd0
 [<c05933ad>] ? security_unix_stream_connect+0xd/0x10
 [<c07e633a>] ? unix_stream_connect+0x29a/0x400
 [<c075dc0d>] ? sys_connect+0xdd/0x100
 [<c051f515>] ? get_empty_filp+0x105/0x1a0
 [<c05363a9>] ? alloc_fd+0x69/0xf0
 [<c051f61f>] ? alloc_file+0x6f/0xc0
 [<c075c5fe>] ? sock_alloc_file+0xae/0x120
 [<c051b50c>] ? fd_install+0x2c/0x60
 [<c075c68b>] ? sock_map_fd+0x1b/0x30
 [<c075ed92>] ? sys_socketcall+0x292/0x2c0
 [<c0409adc>] ? syscall_call+0x7/0xb
---[ end trace 67cf598c7b61818a ]---
render error detected, EIR: 0x00000010
[drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
render error detected, EIR: 0x00000010


After some similar errors i get the GPU hang with messages:

Dec  1 14:23:15 equipo1 kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Dec  1 14:23:15 equipo1 kernel: render error detected, EIR: 0x00000000

I understand it's both set of errors are related.

Should this bz cloned to rhel6?

info about the hardware:

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Packard Bell B.V. Device 1010
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at e0000000 (32-bit, prefetchable) [size=128M]
	Memory at e8100000 (32-bit, non-prefetchable) [size=512K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [d0] Power Management version 1
	Kernel driver in use: i915
	Kernel modules: i915

Comment 13 Roman 2011-02-17 02:07:42 UTC
Created attachment 479251 [details]
i915-increase-fb-alignment-to-64k.patch

Fixed upstream:
http://lists.freedesktop.org/archives/intel-gfx/2010-February/005803.html

Attached patch for RHEL6.

Comment 14 Bug Zapper 2011-06-02 12:53:16 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2011-06-27 17:01:53 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 Glen Fullmer 2011-06-27 21:00:08 UTC
This is OK as I have moved to Ubuntu.


Note You need to log in before you can comment on or make changes to this bug.